# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.86.0"
name = "quantrs2-sim"
version = "0.1.0-alpha.3"
authors = ["QuantRS2 Contributors"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Quantum circuit simulators for the QuantRS2 framework"
readme = "README.md"
keywords = [
    "quantum",
    "computing",
    "simulator",
    "annealing",
    "gate",
]
categories = [
    "science",
    "simulation",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/cool-japan/quantrs"

[features]
advanced_math = [
    "dep:scirs2-core",
    "dep:scirs2-optimize",
    "dep:pandrs",
]
default = ["optimize"]
gpu = [
    "dep:wgpu",
    "dep:bytemuck",
    "dep:tokio",
    "dep:futures",
]
memory_efficient = []
optimize = ["simd"]
simd = []

[lib]
name = "quantrs2_sim"
path = "src/lib.rs"

[dependencies.bytemuck]
version = "1.23.0"
features = [
    "derive",
    "derive",
]
optional = true

[dependencies.fastrand]
version = "2.0.1"

[dependencies.futures]
version = "0.3"
optional = true

[dependencies.nalgebra-sparse]
version = "0.9"

[dependencies.ndarray]
version = "0.16.1"
features = ["rayon"]

[dependencies.num-complex]
version = "0.4.6"

[dependencies.pandrs]
version = "0.1.0-alpha.2"
optional = true

[dependencies.pyo3]
version = "0.24.2"
features = ["extension-module"]

[dependencies.quantrs2-circuit]
version = "0.1.0-alpha.3"

[dependencies.quantrs2-core]
version = "0.1.0-alpha.3"

[dependencies.rand]
version = "0.9.1"

[dependencies.rand_chacha]
version = "0.9.0"

[dependencies.rayon]
version = "1.10.0"

[dependencies.scirs2-core]
version = "0.1.0-alpha.4"
features = [
    "simd",
    "memory_management",
    "parallel",
    "linalg",
]
optional = true
default-features = false

[dependencies.scirs2-optimize]
version = "0.1.0-alpha.4"
optional = true
default-features = false

[dependencies.thiserror]
version = "2.0.12"

[dependencies.tokio]
version = "1.45.0"
features = [
    "full",
    "rt",
    "rt-multi-thread",
]
optional = true

[dependencies.wgpu]
version = "25.0.0"
optional = true

[dependencies.wide]
version = "0.7.32"
